<template>
  <div class="center row">
    <div class="col-md-4"></div>
    <div class="col-md-4">
      <div class="w-75 my-5 login p-3 shadow">
        <h1>Login</h1>
        <div class="my-2 t-left">
          <label for="userName">Username</label>
          <b-input v-model="email" />
        </div>
        <div class="my-2 t-left">
          <label for="password">Password</label>
          <b-input v-model="password" />
        </div>
        <b-button class="w-100 btn-ligth text-light" @click="login"
          >Login</b-button
        >
        <b-link class="link" to="/register">register</b-link>

        <!-- <b-link to="#">Link</b-link> -->
      </div>
    </div>
    <div class="col-md-4"></div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "Login",
  data() {
    return {
      email: "",
      password: "",
    };
  },
  methods: {
    async login() {
      axios
        .post(
          "http://127.0.0.1:8000/api/login",
          {
            email: this.email,
            password: this.password,
          },
          {
            headers: {
              "content-type": "application/json",
            },
          }
        )
        .then(({ data }) => {
          localStorage.setItem("token", data.token);
          this.$store.commit("addToken", data.token);
          this.$router.push("/");
        })
        .catch(({ response }) => {
          console.log(response.data.errors);
        });
    },
  },
};
</script>

<style scoped>
.center {
  text-align: center;
}

.t-left {
  text-align: left;
}

.center .login {
  background-color: rgb(255, 255, 255);
  line-height: 1.5;
  display: inline-block;
  vertical-align: middle !important;
}

.link {
  margin-top: 2rem;
  text-decoration: none;
}
</style>
